namespace Blink.Backoffice.Services.PcmDb.Entities;

public partial class Sklep
{
    public decimal SklepId { get; set; }

    public decimal? MagId { get; set; }

    public short NrSklepu { get; set; }

    public string NrSeryjny { get; set; } = null!;

    public DateTime? OstImport { get; set; }

    public DateTime? WymImport { get; set; }

    public DateTime? DataBO { get; set; }

    public int? KolejnyWDniuBO { get; set; }

    public short? PelnyImport { get; set; }

    public DateTime? OstEksport { get; set; }

    public DateTime? PotwEksport { get; set; }

    public short? Rola { get; set; }

    public decimal? KrajId { get; set; }

    public DateTime? OkrZamkniety { get; set; }

    public virtual Kraj? Kraj { get; set; }

    public virtual Magazyn? Mag { get; set; }

    public virtual ICollection<PcfUserSklep> PcfUserSklep { get; set; } = new List<PcfUserSklep>();

    public virtual ICollection<PowiazanieSklep> PowiazanieSklep { get; set; } = new List<PowiazanieSklep>();

    public virtual ICollection<PozCennikDok> PozCennikDok { get; set; } = new List<PozCennikDok>();

    public virtual ICollection<RegulaSklep> RegulaSklep { get; set; } = new List<RegulaSklep>();

    public virtual ICollection<RegulaSklepAuth> RegulaSklepAuth { get; set; } = new List<RegulaSklepAuth>();

    public virtual ICollection<SklepArtykul> SklepArtykul { get; set; } = new List<SklepArtykul>();

    public virtual ICollection<SklepDefinicjaKodu> SklepDefinicjaKodu { get; set; } = new List<SklepDefinicjaKodu>();

    public virtual ICollection<SklepDok> SklepDok { get; set; } = new List<SklepDok>();

    public virtual ICollection<SklepDzienRozl> SklepDzienRozl { get; set; } = new List<SklepDzienRozl>();

    public virtual ICollection<SklepFlagi> SklepFlagi { get; set; } = new List<SklepFlagi>();

    public virtual ICollection<SklepFormaPlatnPos7> SklepFormaPlatnPos7 { get; set; } = new List<SklepFormaPlatnPos7>();

    public virtual ICollection<SklepGrupaAkcyzowa> SklepGrupaAkcyzowa { get; set; } = new List<SklepGrupaAkcyzowa>();

    public virtual ICollection<SklepKartaLoj> SklepKartaLoj { get; set; } = new List<SklepKartaLoj>();

    public virtual ICollection<SklepKasa> SklepKasa { get; set; } = new List<SklepKasa>();

    public virtual ICollection<SklepKontoLoj> SklepKontoLoj { get; set; } = new List<SklepKontoLoj>();

    public virtual ICollection<SklepKontr> SklepKontr { get; set; } = new List<SklepKontr>();

    public virtual ICollection<SklepMagazyn> SklepMagazyn { get; set; } = new List<SklepMagazyn>();

    public virtual Kontrahent SklepNavigation { get; set; } = null!;

    public virtual ICollection<SklepOplata> SklepOplata { get; set; } = new List<SklepOplata>();

    public virtual ICollection<SklepParagon> SklepParagon { get; set; } = new List<SklepParagon>();

    public virtual ICollection<SklepProfil> SklepProfil { get; set; } = new List<SklepProfil>();

    public virtual ICollection<SklepRapWartPocz> SklepRapWartPocz { get; set; } = new List<SklepRapWartPocz>();

    public virtual ICollection<SklepRegula> SklepRegula { get; set; } = new List<SklepRegula>();

    public virtual ICollection<SklepRegulaParam> SklepRegulaParam { get; set; } = new List<SklepRegulaParam>();

    public virtual ICollection<SklepRola> SklepRola { get; set; } = new List<SklepRola>();

    public virtual ICollection<SklepTowar> SklepTowar { get; set; } = new List<SklepTowar>();

    public virtual ICollection<SklepTypOs> SklepTypOs { get; set; } = new List<SklepTypOs>();

    public virtual ICollection<SklepUzytkownik> SklepUzytkownik { get; set; } = new List<SklepUzytkownik>();

    public virtual ICollection<SklepWaluta> SklepWaluta { get; set; } = new List<SklepWaluta>();

    public virtual ICollection<SklepZasob> SklepZasob { get; set; } = new List<SklepZasob>();

    public virtual ICollection<SklepZgoda> SklepZgoda { get; set; } = new List<SklepZgoda>();

    public virtual ICollection<TowStratyDlaSklepu> TowStratyDlaSklepu { get; set; } = new List<TowStratyDlaSklepu>();

    public virtual ICollection<UzNaSklep> UzNaSklep { get; set; } = new List<UzNaSklep>();

    public virtual ICollection<Asort> As { get; set; } = new List<Asort>();

    public virtual ICollection<Sklep> Centrala { get; set; } = new List<Sklep>();

    public virtual ICollection<KthParWartosc> KPW { get; set; } = new List<KthParWartosc>();

    public virtual ICollection<Sklep> Sklep1 { get; set; } = new List<Sklep>();
}
